SingleEntryModuleLibrary (Gradle API 8.11.1)

Package org.gradle.plugins.ide.idea.model

## Class SingleEntryModuleLibrary

- java.lang.Object
- - org.gradle.plugins.ide.idea.model.ModuleLibrary
  - - org.gradle.plugins.ide.idea.model.SingleEntryModuleLibrary

- All Implemented Interfaces:
    `Dependency`

      public class SingleEntryModuleLibrary
      extends ModuleLibrary

  Single entry module library

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SingleEntryModuleLibrary​(FilePath library, java.lang.String scope)` | Creates single entry module library
    `SingleEntryModuleLibrary​(FilePath library, java.util.Set<FilePath> javadoc, java.util.Set<FilePath> source, java.lang.String scope)` | Creates single entry module library
    `SingleEntryModuleLibrary​(FilePath library, FilePath javadoc, FilePath source, java.lang.String scope)` | Creates single entry module library

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getJavadocFile()` | Returns a single javadoc jar or javadoc folder
    `java.io.File` | `getLibraryFile()` | Returns a single jar or class folder
    `ModuleVersionIdentifier` | `getModuleVersion()` | Module version of the library, if any.
    `java.io.File` | `getSourceFile()` | Returns a single source jar or source folder
    `void` | `setModuleVersion​(ModuleVersionIdentifier moduleVersion)` |

    - ### Methods inherited from class org.gradle.plugins.ide.idea.model.ModuleLibrary

      `addToNode, equals, getClasses, getJarDirectories, getJavadoc, getScope, getSources, hashCode, isExported, setClasses, setExported, setJarDirectories, setJavadoc, setScope, setSources, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleEntryModuleLibrary

          public SingleEntryModuleLibrary​(FilePath library,
                                          java.util.Set<FilePath> javadoc,
                                          java.util.Set<FilePath> source,
                                          java.lang.String scope)

      Creates single entry module library
      Parameters:
        `library` - a path to jar or class folder in idea format
        `javadoc` - paths to javadoc jars or javadoc folders
        `source` - paths to source jars or source folders
        `scope` - scope

    - #### SingleEntryModuleLibrary

          public SingleEntryModuleLibrary​(FilePath library,
                                          @Nullable
                                          FilePath javadoc,
                                          @Nullable
                                          FilePath source,
                                          java.lang.String scope)

      Creates single entry module library
      Parameters:
        `library` - a path to jar or class folder in idea format
        `javadoc` - path to javadoc jars or javadoc folders
        `source` - paths to source jars or source folders
        `scope` - scope

    - #### SingleEntryModuleLibrary

          public SingleEntryModuleLibrary​(FilePath library,
                                          java.lang.String scope)

      Creates single entry module library
      Parameters:
        `library` - a path to jar or class folder in Path format
        `scope` - scope

  - ### Method Detail

    - #### getModuleVersion

          @Nullable
          public ModuleVersionIdentifier getModuleVersion()

      Module version of the library, if any.

    - #### setModuleVersion

          public void setModuleVersion​(@Nullable
                                       ModuleVersionIdentifier moduleVersion)

    - #### getLibraryFile

          public java.io.File getLibraryFile()

      Returns a single jar or class folder

    - #### getJavadocFile

          public java.io.File getJavadocFile()

      Returns a single javadoc jar or javadoc folder

    - #### getSourceFile

          public java.io.File getSourceFile()

      Returns a single source jar or source folder